## net.sf.saxon.style
Class AttributeValueTemplate

    java.lang.Object
      |
      +--net.sf.saxon.style.AttributeValueTemplate

public abstract class AttributeValueTemplate
extends java.lang.Object

This class represents an attribute value template. The class allows an AVT to be parsed, and can construct an Expression that returns the effective value of the AVT. This is an abstract class that is never instantiated, it contains static methods only.

Method Summary
`static Expression` `make(java.lang.String avt, int start, char terminator, int lineNumber, StaticContext env)` Static factory method to create an AVT from an XSLT string representation.
`static Expression` `makeFirstItem(Expression exp)` Make an expression that extracts the first item of a sequence, after atomization
`static Expression` `makeStringJoin(Expression exp, NamePool namePool)` Make a string-join expression that concatenates the string-values of items in a sequence with intervening spaces.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### make

    public static Expression make(java.lang.String avt,
                                  int start,
                                  char terminator,
                                  int lineNumber,
                                  StaticContext env)
                           throws XPathException

  Static factory method to create an AVT from an XSLT string representation.

    `XPathException`

### makeStringJoin

    public static Expression makeStringJoin(Expression exp,
                                            NamePool namePool)

  Make a string-join expression that concatenates the string-values of items in a sequence with intervening spaces. This may be simplified later as a result of type-checking.

### makeFirstItem

    public static Expression makeFirstItem(Expression exp)

  Make an expression that extracts the first item of a sequence, after atomization